USE AdventureWorks
GO

CREATE USER INST02User WITHOUT LOGIN;

CREATE CERTIFICATE INST02Certificate
   AUTHORIZATION INST02User
   FROM FILE = N'E:\Certs\INST02Certificate.cer';
GO

USE AdventureWorks
GO

CREATE ROUTE INST02Route 
AUTHORIZATION dbo 
WITH 
     SERVICE_NAME = N'//INST02Site/Sync/INST02Service',
     ADDRESS = N'TCP://SQLTBWS:4023'
GO

USE msdb;
GO

CREATE ROUTE INST01Route 
AUTHORIZATION dbo 
WITH 
     SERVICE_NAME = N'//INST01Site/Sync/INST01Service',
     ADDRESS = N'LOCAL'
GO

USE AdventureWorks
GO

CREATE REMOTE SERVICE BINDING [INST02Binding] 
  AUTHORIZATION dbo 
  TO SERVICE N'//INST02Site/Sync/INST02Service'
  WITH USER = [INST02User]
GO

GRANT SEND
      ON SERVICE::[//INST01Site/Sync/INST01Service]
      TO INST02User;
GO
