-- ON INST01
USE [master];
GO

CREATE MASTER KEY
       ENCRYPTION BY PASSWORD = N'D8CT93u8XAr4ctcBopX7V7dm';
GO

CREATE CERTIFICATE INST01EndptCert 
     WITH SUBJECT = 'INST01 Endpoint Certificate',
          EXPIRY_DATE = N'12/31/2020';
GO

BACKUP CERTIFICATE INST01EndptCert
  TO FILE = N'E:\certs\INST01EndptCert.cer';
GO

IF EXISTS 
(SELECT * FROM master.sys.endpoints
    WHERE name = N'INST01Endpoint')
    DROP ENDPOINT INST01Endpoint;
GO

CREATE ENDPOINT INST01Endpoint
STATE = STARTED
AS TCP ( LISTENER_PORT = 4022 )
FOR SERVICE_BROKER (AUTHENTICATION = CERTIFICATE INST01EndptCert );
GO

