USE AdventureWorks
GO

CREATE USER INST01User WITHOUT LOGIN;

CREATE CERTIFICATE INST01Certificate 
   AUTHORIZATION INST01User
   FROM FILE = N'E:\Certs\INST01Certificate.cer'
GO

USE AdventureWorks
GO

CREATE ROUTE INST01Route 
AUTHORIZATION dbo 
WITH 
     SERVICE_NAME = N'//INST01Site/Sync/INST01Service',
     ADDRESS = N'TCP://SQLTBWS:4022'
GO

USE msdb;
GO

CREATE ROUTE INST02Route 
AUTHORIZATION dbo 
WITH 
     SERVICE_NAME = N'//INST02Site/Sync/INST02Service',
     ADDRESS = N'LOCAL'
GO

USE AdventureWorks
GO

CREATE REMOTE SERVICE BINDING [INST01Binding] 
  AUTHORIZATION dbo 
  TO SERVICE N'//INST01Site/Sync/INST01Service'
  WITH USER = [INST01User]
GO

GRANT SEND
      ON SERVICE::[//INST02Site/Sync/INST02Service]
      TO INST01User;
GO
