-- ON INST02
USE [master];
GO

CREATE MASTER KEY
       ENCRYPTION BY PASSWORD = N'D8CT93u8XAr4ctcBopX7V7dm';
GO

CREATE CERTIFICATE INST02EndptCert 
     WITH SUBJECT = 'INST02 Endpoint Certificate',
          EXPIRY_DATE = N'12/31/2020';
GO

BACKUP CERTIFICATE INST02EndptCert
  TO FILE = N'E:\certs\INST02EndptCert.cer';
GO

IF EXISTS 
(SELECT * FROM master.sys.endpoints
    WHERE name = N'INST02Endpoint')
    DROP ENDPOINT INST02Endpoint;
GO

CREATE ENDPOINT INST02Endpoint
STATE = STARTED
AS TCP ( LISTENER_PORT = 4023 )
FOR SERVICE_BROKER (AUTHENTICATION = CERTIFICATE INST02EndptCert );
GO
